Runtime

## org.eclipse.gmf.runtime.notation
Interface NotationPackage.Literals

Enclosing interface:
  NotationPackage

public static interface NotationPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

** Generated **

Field Summary
`static EEnum` `ALIGNMENT` The meta object literal for the '`Alignment`' enum
`static EClass` `ANCHOR` The meta object literal for the '`Anchor`' class
`static EClass` `BENDPOINTS` The meta object literal for the '`Bendpoints`' class
`static EClass` `BOUNDS` The meta object literal for the '`Bounds`' class
`static EClass` `CANONICAL_STYLE` The meta object literal for the '`Canonical Style`' class
`static EAttribute` `CANONICAL_STYLE__CANONICAL` The meta object literal for the 'Canonical' attribute feature
`static EClass` `CONNECTOR_STYLE` The meta object literal for the '`Connector Style`' class
`static EClass` `DESCRIPTION_STYLE` The meta object literal for the '`Description Style`' class
`static EAttribute` `DESCRIPTION_STYLE__DESCRIPTION` The meta object literal for the 'Description' attribute feature
`static EClass` `DIAGRAM` The meta object literal for the '`Diagram`' class
`static EAttribute` `DIAGRAM__MEASUREMENT_UNIT` The meta object literal for the 'Measurement Unit' attribute feature
`static EAttribute` `DIAGRAM__NAME` The meta object literal for the 'Name' attribute feature
`static EReference` `DIAGRAM__PERSISTED_EDGES` The meta object literal for the 'Persisted Edges' containment reference list feature
`static EReference` `DIAGRAM__TRANSIENT_EDGES` The meta object literal for the 'Transient Edges' containment reference list feature
`static EClass` `DIAGRAM_STYLE` The meta object literal for the '`Diagram Style`' class
`static EClass` `DRAWER_STYLE` The meta object literal for the '`Drawer Style`' class
`static EAttribute` `DRAWER_STYLE__COLLAPSED` The meta object literal for the 'Collapsed' attribute feature
`static EClass` `EDGE` The meta object literal for the '`Edge`' class
`static EReference` `EDGE__BENDPOINTS` The meta object literal for the 'Bendpoints' containment reference feature
`static EReference` `EDGE__SOURCE` The meta object literal for the 'Source' reference feature
`static EReference` `EDGE__SOURCE_ANCHOR` The meta object literal for the 'Source Anchor' containment reference feature
`static EReference` `EDGE__TARGET` The meta object literal for the 'Target' reference feature
`static EReference` `EDGE__TARGET_ANCHOR` The meta object literal for the 'Target Anchor' containment reference feature
`static EClass` `FILL_STYLE` The meta object literal for the '`Fill Style`' class
`static EAttribute` `FILL_STYLE__FILL_COLOR` The meta object literal for the 'Fill Color' attribute feature
`static EDataType` `FILTER_KEY_LIST` The meta object literal for the 'Filter Key List' data type
`static EEnum` `FILTERING` The meta object literal for the '`Filtering`' enum
`static EClass` `FILTERING_STYLE` The meta object literal for the '`Filtering Style`' class
`static EReference` `FILTERING_STYLE__FILTERED_OBJECTS` The meta object literal for the 'Filtered Objects' reference list feature
`static EAttribute` `FILTERING_STYLE__FILTERING` The meta object literal for the 'Filtering' attribute feature
`static EAttribute` `FILTERING_STYLE__FILTERING_KEYS` The meta object literal for the 'Filtering Keys' attribute feature
`static EClass` `FONT_STYLE` The meta object literal for the '`Font Style`' class
`static EAttribute` `FONT_STYLE__BOLD` The meta object literal for the 'Bold' attribute feature
`static EAttribute` `FONT_STYLE__FONT_COLOR` The meta object literal for the 'Font Color' attribute feature
`static EAttribute` `FONT_STYLE__FONT_HEIGHT` The meta object literal for the 'Font Height' attribute feature
`static EAttribute` `FONT_STYLE__FONT_NAME` The meta object literal for the 'Font Name' attribute feature
`static EAttribute` `FONT_STYLE__ITALIC` The meta object literal for the 'Italic' attribute feature
`static EAttribute` `FONT_STYLE__STRIKE_THROUGH` The meta object literal for the 'Strike Through' attribute feature
`static EAttribute` `FONT_STYLE__UNDERLINE` The meta object literal for the 'Underline' attribute feature
`static EClass` `GUIDE` The meta object literal for the '`Guide`' class
`static EReference` `GUIDE__NODE_MAP` The meta object literal for the 'Node Map' map feature
`static EAttribute` `GUIDE__POSITION` The meta object literal for the 'Position' attribute feature
`static EClass` `GUIDE_STYLE` The meta object literal for the '`Guide Style`' class
`static EReference` `GUIDE_STYLE__HORIZONTAL_GUIDES` The meta object literal for the 'Horizontal Guides' containment reference list feature
`static EReference` `GUIDE_STYLE__VERTICAL_GUIDES` The meta object literal for the 'Vertical Guides' containment reference list feature
`static EClass` `IDENTITY_ANCHOR` The meta object literal for the '`Identity Anchor`' class
`static EAttribute` `IDENTITY_ANCHOR__ID` The meta object literal for the 'Id' attribute feature
`static EClass` `IMAGE` The meta object literal for the '`Image`' class
`static EAttribute` `IMAGE__DATA` The meta object literal for the 'Data' attribute feature
`static EClass` `IMAGE_BUFFER_STYLE` The meta object literal for the '`Image Buffer Style`' class
`static EReference` `IMAGE_BUFFER_STYLE__IMAGE_BUFFER` The meta object literal for the 'Image Buffer' containment reference feature
`static EClass` `IMAGE_STYLE` The meta object literal for the '`Image Style`' class
`static EAttribute` `IMAGE_STYLE__ANTI_ALIAS` The meta object literal for the 'Anti Alias' attribute feature
`static EReference` `IMAGE_STYLE__CROP_BOUND` The meta object literal for the 'Crop Bound' containment reference feature
`static EAttribute` `IMAGE_STYLE__MAINTAIN_ASPECT_RATIO` The meta object literal for the 'Maintain Aspect Ratio' attribute feature
`static EEnum` `JUMP_LINK_STATUS` The meta object literal for the '`Jump Link Status`' enum
`static EEnum` `JUMP_LINK_TYPE` The meta object literal for the '`Jump Link Type`' enum
`static EClass` `LAYOUT_CONSTRAINT` The meta object literal for the '`Layout Constraint`' class
`static EClass` `LINE_STYLE` The meta object literal for the '`Line Style`' class
`static EAttribute` `LINE_STYLE__LINE_COLOR` The meta object literal for the 'Line Color' attribute feature
`static EClass` `LOCATION` The meta object literal for the '`Location`' class
`static EAttribute` `LOCATION__X` The meta object literal for the 'X' attribute feature
`static EAttribute` `LOCATION__Y` The meta object literal for the 'Y' attribute feature
`static EEnum` `MEASUREMENT_UNIT` The meta object literal for the '`Measurement Unit`' enum
`static EClass` `NODE` The meta object literal for the '`Node`' class
`static EReference` `NODE__LAYOUT_CONSTRAINT` The meta object literal for the 'Layout Constraint' containment reference feature
`static EClass` `NODE_ENTRY` The meta object literal for the '`Node Entry`' class
`static EReference` `NODE_ENTRY__KEY` The meta object literal for the 'Key' reference feature
`static EAttribute` `NODE_ENTRY__VALUE` The meta object literal for the 'Value' attribute feature
`static EClass` `PAGE_STYLE` The meta object literal for the '`Page Style`' class
`static EAttribute` `PAGE_STYLE__PAGE_HEIGHT` The meta object literal for the 'Page Height' attribute feature
`static EAttribute` `PAGE_STYLE__PAGE_WIDTH` The meta object literal for the 'Page Width' attribute feature
`static EAttribute` `PAGE_STYLE__PAGE_X` The meta object literal for the 'Page X' attribute feature
`static EAttribute` `PAGE_STYLE__PAGE_Y` The meta object literal for the 'Page Y' attribute feature
`static EClass` `RATIO` The meta object literal for the '`Ratio`' class
`static EAttribute` `RATIO__VALUE` The meta object literal for the 'Value' attribute feature
`static EDataType` `RELATIVE_BENDPOINT_LIST` The meta object literal for the 'Relative Bendpoint List' data type
`static EClass` `RELATIVE_BENDPOINTS` The meta object literal for the '`Relative Bendpoints`' class
`static EAttribute` `RELATIVE_BENDPOINTS__POINTS` The meta object literal for the 'Points' attribute feature
`static EEnum` `ROUTING` The meta object literal for the '`Routing`' enum
`static EClass` `ROUTING_STYLE` The meta object literal for the '`Routing Style`' class
`static EAttribute` `ROUTING_STYLE__AVOID_OBSTRUCTIONS` The meta object literal for the 'Avoid Obstructions' attribute feature
`static EAttribute` `ROUTING_STYLE__CLOSEST_DISTANCE` The meta object literal for the 'Closest Distance' attribute feature
`static EAttribute` `ROUTING_STYLE__JUMP_LINK_STATUS` The meta object literal for the 'Jump Link Status' attribute feature
`static EAttribute` `ROUTING_STYLE__JUMP_LINK_TYPE` The meta object literal for the 'Jump Link Type' attribute feature
`static EAttribute` `ROUTING_STYLE__JUMP_LINKS_REVERSE` The meta object literal for the 'Jump Links Reverse' attribute feature
`static EAttribute` `ROUTING_STYLE__ROUTING` The meta object literal for the 'Routing' attribute feature
`static EAttribute` `ROUTING_STYLE__SMOOTHNESS` The meta object literal for the 'Smoothness' attribute feature
`static EClass` `SHAPE_STYLE` The meta object literal for the '`Shape Style`' class
`static EClass` `SIZE` The meta object literal for the '`Size`' class
`static EAttribute` `SIZE__HEIGHT` The meta object literal for the 'Height' attribute feature
`static EAttribute` `SIZE__WIDTH` The meta object literal for the 'Width' attribute feature
`static EEnum` `SMOOTHNESS` The meta object literal for the '`Smoothness`' enum
`static EDataType` `SORT_KEY_MAP` The meta object literal for the 'Sort Key Map' data type
`static EEnum` `SORTING` The meta object literal for the '`Sorting`' enum
`static EEnum` `SORTING_DIRECTION` The meta object literal for the '`Sorting Direction`' enum
`static EClass` `SORTING_STYLE` The meta object literal for the '`Sorting Style`' class
`static EReference` `SORTING_STYLE__SORTED_OBJECTS` The meta object literal for the 'Sorted Objects' reference list feature
`static EAttribute` `SORTING_STYLE__SORTING` The meta object literal for the 'Sorting' attribute feature
`static EAttribute` `SORTING_STYLE__SORTING_KEYS` The meta object literal for the 'Sorting Keys' attribute feature
`static EClass` `STYLE` The meta object literal for the '`Style`' class
`static EClass` `TITLE_STYLE` The meta object literal for the '`Title Style`' class
`static EAttribute` `TITLE_STYLE__SHOW_TITLE` The meta object literal for the 'Show Title' attribute feature
`static EClass` `VIEW` The meta object literal for the '`View`' class
`static EReference` `VIEW__DIAGRAM` The meta object literal for the 'Diagram' reference feature
`static EReference` `VIEW__ELEMENT` The meta object literal for the 'Element' reference feature
`static EAttribute` `VIEW__MUTABLE` The meta object literal for the 'Mutable' attribute feature
`static EReference` `VIEW__PERSISTED_CHILDREN` The meta object literal for the 'Persisted Children' containment reference list feature
`static EReference` `VIEW__SOURCE_EDGES` The meta object literal for the 'Source Edges' reference list feature
`static EReference` `VIEW__STYLES` The meta object literal for the 'Styles' containment reference list feature
`static EReference` `VIEW__TARGET_EDGES` The meta object literal for the 'Target Edges' reference list feature
`static EReference` `VIEW__TRANSIENT_CHILDREN` The meta object literal for the 'Transient Children' containment reference list feature
`static EAttribute` `VIEW__TYPE` The meta object literal for the 'Type' attribute feature
`static EAttribute` `VIEW__VISIBLE` The meta object literal for the 'Visible' attribute feature

Field Detail

### EDGE

    public static final EClass EDGE

  The meta object literal for the '`Edge`' class.

  See Also:
    `EdgeImpl`, `NotationPackageImpl.getEdge()`
  ** Generated **

### EDGE__SOURCE

    public static final EReference EDGE__SOURCE

  The meta object literal for the 'Source' reference feature.

  ** Generated **

### EDGE__TARGET

    public static final EReference EDGE__TARGET

  The meta object literal for the 'Target' reference feature.

  ** Generated **

### EDGE__BENDPOINTS

    public static final EReference EDGE__BENDPOINTS

  The meta object literal for the 'Bendpoints' containment reference feature.

  ** Generated **

### EDGE__SOURCE_ANCHOR

    public static final EReference EDGE__SOURCE_ANCHOR

  The meta object literal for the 'Source Anchor' containment reference feature.

  ** Generated **

### EDGE__TARGET_ANCHOR

    public static final EReference EDGE__TARGET_ANCHOR

  The meta object literal for the 'Target Anchor' containment reference feature.

  ** Generated **

### NODE

    public static final EClass NODE

  The meta object literal for the '`Node`' class.

  See Also:
    `NodeImpl`, `NotationPackageImpl.getNode()`
  ** Generated **

### NODE__LAYOUT_CONSTRAINT

    public static final EReference NODE__LAYOUT_CONSTRAINT

  The meta object literal for the 'Layout Constraint' containment reference feature.

  ** Generated **

### STYLE

    public static final EClass STYLE

  The meta object literal for the '`Style`' class.

  See Also:
    `Style`, `NotationPackageImpl.getStyle()`
  ** Generated **

### FILL_STYLE

    public static final EClass FILL_STYLE

  The meta object literal for the '`Fill Style`' class.

  See Also:
    `FillStyleImpl`, `NotationPackageImpl.getFillStyle()`
  ** Generated **

### FILL_STYLE__FILL_COLOR

    public static final EAttribute FILL_STYLE__FILL_COLOR

  The meta object literal for the 'Fill Color' attribute feature.

  ** Generated **

### LINE_STYLE

    public static final EClass LINE_STYLE

  The meta object literal for the '`Line Style`' class.

  See Also:
    `LineStyleImpl`, `NotationPackageImpl.getLineStyle()`
  ** Generated **

### LINE_STYLE__LINE_COLOR

    public static final EAttribute LINE_STYLE__LINE_COLOR

  The meta object literal for the 'Line Color' attribute feature.

  ** Generated **

### FONT_STYLE

    public static final EClass FONT_STYLE

  The meta object literal for the '`Font Style`' class.

  See Also:
    `FontStyleImpl`, `NotationPackageImpl.getFontStyle()`
  ** Generated **

### FONT_STYLE__FONT_COLOR

    public static final EAttribute FONT_STYLE__FONT_COLOR

  The meta object literal for the 'Font Color' attribute feature.

  ** Generated **

### FONT_STYLE__FONT_NAME

    public static final EAttribute FONT_STYLE__FONT_NAME

  The meta object literal for the 'Font Name' attribute feature.

  ** Generated **

### FONT_STYLE__FONT_HEIGHT

    public static final EAttribute FONT_STYLE__FONT_HEIGHT

  The meta object literal for the 'Font Height' attribute feature.

  ** Generated **

### FONT_STYLE__BOLD

    public static final EAttribute FONT_STYLE__BOLD

  The meta object literal for the 'Bold' attribute feature.

  ** Generated **

### FONT_STYLE__ITALIC

    public static final EAttribute FONT_STYLE__ITALIC

  The meta object literal for the 'Italic' attribute feature.

  ** Generated **

### FONT_STYLE__UNDERLINE

    public static final EAttribute FONT_STYLE__UNDERLINE

  The meta object literal for the 'Underline' attribute feature.

  ** Generated **

### FONT_STYLE__STRIKE_THROUGH

    public static final EAttribute FONT_STYLE__STRIKE_THROUGH

  The meta object literal for the 'Strike Through' attribute feature.

  ** Generated **

### TITLE_STYLE

    public static final EClass TITLE_STYLE

  The meta object literal for the '`Title Style`' class.

  See Also:
    `TitleStyleImpl`, `NotationPackageImpl.getTitleStyle()`
  ** Generated **

### TITLE_STYLE__SHOW_TITLE

    public static final EAttribute TITLE_STYLE__SHOW_TITLE

  The meta object literal for the 'Show Title' attribute feature.

  ** Generated **

### SORTING_STYLE

    public static final EClass SORTING_STYLE

  The meta object literal for the '`Sorting Style`' class.

  See Also:
    `SortingStyleImpl`, `NotationPackageImpl.getSortingStyle()`
  ** Generated **

### SORTING_STYLE__SORTING

    public static final EAttribute SORTING_STYLE__SORTING

  The meta object literal for the 'Sorting' attribute feature.

  ** Generated **

### SORTING_STYLE__SORTING_KEYS

    public static final EAttribute SORTING_STYLE__SORTING_KEYS

  The meta object literal for the 'Sorting Keys' attribute feature.

  ** Generated **

### SORTING_STYLE__SORTED_OBJECTS

    public static final EReference SORTING_STYLE__SORTED_OBJECTS

  The meta object literal for the 'Sorted Objects' reference list feature.

  ** Generated **

### DESCRIPTION_STYLE

    public static final EClass DESCRIPTION_STYLE

  The meta object literal for the '`Description Style`' class.

  See Also:
    `DescriptionStyleImpl`, `NotationPackageImpl.getDescriptionStyle()`
  ** Generated **

### DESCRIPTION_STYLE__DESCRIPTION

    public static final EAttribute DESCRIPTION_STYLE__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

  ** Generated **

### LAYOUT_CONSTRAINT

    public static final EClass LAYOUT_CONSTRAINT

  The meta object literal for the '`Layout Constraint`' class.

  See Also:
    `LayoutConstraint`, `NotationPackageImpl.getLayoutConstraint()`
  ** Generated **

### SIZE

    public static final EClass SIZE

  The meta object literal for the '`Size`' class.

  See Also:
    `SizeImpl`, `NotationPackageImpl.getSize()`
  ** Generated **

### SIZE__WIDTH

    public static final EAttribute SIZE__WIDTH

  The meta object literal for the 'Width' attribute feature.

  ** Generated **

### SIZE__HEIGHT

    public static final EAttribute SIZE__HEIGHT

  The meta object literal for the 'Height' attribute feature.

  ** Generated **

### LOCATION

    public static final EClass LOCATION

  The meta object literal for the '`Location`' class.

  See Also:
    `LocationImpl`, `NotationPackageImpl.getLocation()`
  ** Generated **

### LOCATION__X

    public static final EAttribute LOCATION__X

  The meta object literal for the 'X' attribute feature.

  ** Generated **

### LOCATION__Y

    public static final EAttribute LOCATION__Y

  The meta object literal for the 'Y' attribute feature.

  ** Generated **

### BOUNDS

    public static final EClass BOUNDS

  The meta object literal for the '`Bounds`' class.

  See Also:
    `BoundsImpl`, `NotationPackageImpl.getBounds()`
  ** Generated **

### RATIO

    public static final EClass RATIO

  The meta object literal for the '`Ratio`' class.

  See Also:
    `RatioImpl`, `NotationPackageImpl.getRatio()`
  ** Generated **

### RATIO__VALUE

    public static final EAttribute RATIO__VALUE

  The meta object literal for the 'Value' attribute feature.

  ** Generated **

### ANCHOR

    public static final EClass ANCHOR

  The meta object literal for the '`Anchor`' class.

  See Also:
    `Anchor`, `NotationPackageImpl.getAnchor()`
  ** Generated **

### BENDPOINTS

    public static final EClass BENDPOINTS

  The meta object literal for the '`Bendpoints`' class.

  See Also:
    `Bendpoints`, `NotationPackageImpl.getBendpoints()`
  ** Generated **

### IDENTITY_ANCHOR

    public static final EClass IDENTITY_ANCHOR

  The meta object literal for the '`Identity Anchor`' class.

  See Also:
    `IdentityAnchorImpl`, `NotationPackageImpl.getIdentityAnchor()`
  ** Generated **

### IDENTITY_ANCHOR__ID

    public static final EAttribute IDENTITY_ANCHOR__ID

  The meta object literal for the 'Id' attribute feature.

  ** Generated **

### ROUTING_STYLE

    public static final EClass ROUTING_STYLE

  The meta object literal for the '`Routing Style`' class.

  See Also:
    `RoutingStyleImpl`, `NotationPackageImpl.getRoutingStyle()`
  ** Generated **

### ROUTING_STYLE__ROUTING

    public static final EAttribute ROUTING_STYLE__ROUTING

  The meta object literal for the 'Routing' attribute feature.

  ** Generated **

### ROUTING_STYLE__SMOOTHNESS

    public static final EAttribute ROUTING_STYLE__SMOOTHNESS

  The meta object literal for the 'Smoothness' attribute feature.

  ** Generated **

### ROUTING_STYLE__AVOID_OBSTRUCTIONS

    public static final EAttribute ROUTING_STYLE__AVOID_OBSTRUCTIONS

  The meta object literal for the 'Avoid Obstructions' attribute feature.

  ** Generated **

### ROUTING_STYLE__CLOSEST_DISTANCE

    public static final EAttribute ROUTING_STYLE__CLOSEST_DISTANCE

  The meta object literal for the 'Closest Distance' attribute feature.

  ** Generated **

### ROUTING_STYLE__JUMP_LINK_STATUS

    public static final EAttribute ROUTING_STYLE__JUMP_LINK_STATUS

  The meta object literal for the 'Jump Link Status' attribute feature.

  ** Generated **

### ROUTING_STYLE__JUMP_LINK_TYPE

    public static final EAttribute ROUTING_STYLE__JUMP_LINK_TYPE

  The meta object literal for the 'Jump Link Type' attribute feature.

  ** Generated **

### ROUTING_STYLE__JUMP_LINKS_REVERSE

    public static final EAttribute ROUTING_STYLE__JUMP_LINKS_REVERSE

  The meta object literal for the 'Jump Links Reverse' attribute feature.

  ** Generated **

### VIEW

    public static final EClass VIEW

  The meta object literal for the '`View`' class.

  See Also:
    `ViewImpl`, `NotationPackageImpl.getView()`
  ** Generated **

### VIEW__VISIBLE

    public static final EAttribute VIEW__VISIBLE

  The meta object literal for the 'Visible' attribute feature.

  ** Generated **

### VIEW__TYPE

    public static final EAttribute VIEW__TYPE

  The meta object literal for the 'Type' attribute feature.

  ** Generated **

### VIEW__MUTABLE

    public static final EAttribute VIEW__MUTABLE

  The meta object literal for the 'Mutable' attribute feature.

  ** Generated **

### VIEW__SOURCE_EDGES

    public static final EReference VIEW__SOURCE_EDGES

  The meta object literal for the 'Source Edges' reference list feature.

  ** Generated **

### VIEW__TARGET_EDGES

    public static final EReference VIEW__TARGET_EDGES

  The meta object literal for the 'Target Edges' reference list feature.

  ** Generated **

### VIEW__PERSISTED_CHILDREN

    public static final EReference VIEW__PERSISTED_CHILDREN

  The meta object literal for the 'Persisted Children' containment reference list feature.

  ** Generated **

### VIEW__STYLES

    public static final EReference VIEW__STYLES

  The meta object literal for the 'Styles' containment reference list feature.

  ** Generated **

### VIEW__ELEMENT

    public static final EReference VIEW__ELEMENT

  The meta object literal for the 'Element' reference feature.

  ** Generated **

### VIEW__DIAGRAM

    public static final EReference VIEW__DIAGRAM

  The meta object literal for the 'Diagram' reference feature.

  ** Generated **

### VIEW__TRANSIENT_CHILDREN

    public static final EReference VIEW__TRANSIENT_CHILDREN

  The meta object literal for the 'Transient Children' containment reference list feature.

  ** Generated **

### RELATIVE_BENDPOINTS

    public static final EClass RELATIVE_BENDPOINTS

  The meta object literal for the '`Relative Bendpoints`' class.

  See Also:
    `RelativeBendpointsImpl`, `NotationPackageImpl.getRelativeBendpoints()`
  ** Generated **

### RELATIVE_BENDPOINTS__POINTS

    public static final EAttribute RELATIVE_BENDPOINTS__POINTS

  The meta object literal for the 'Points' attribute feature.

  ** Generated **

### DIAGRAM

    public static final EClass DIAGRAM

  The meta object literal for the '`Diagram`' class.

  See Also:
    `DiagramImpl`, `NotationPackageImpl.getDiagram()`
  ** Generated **

### DIAGRAM__NAME

    public static final EAttribute DIAGRAM__NAME

  The meta object literal for the 'Name' attribute feature.

  ** Generated **

### DIAGRAM__MEASUREMENT_UNIT

    public static final EAttribute DIAGRAM__MEASUREMENT_UNIT

  The meta object literal for the 'Measurement Unit' attribute feature.

  ** Generated **

### DIAGRAM__PERSISTED_EDGES

    public static final EReference DIAGRAM__PERSISTED_EDGES

  The meta object literal for the 'Persisted Edges' containment reference list feature.

  ** Generated **

### DIAGRAM__TRANSIENT_EDGES

    public static final EReference DIAGRAM__TRANSIENT_EDGES

  The meta object literal for the 'Transient Edges' containment reference list feature.

  ** Generated **

### IMAGE

    public static final EClass IMAGE

  The meta object literal for the '`Image`' class.

  See Also:
    `ImageImpl`, `NotationPackageImpl.getImage()`
  ** Generated **

### IMAGE__DATA

    public static final EAttribute IMAGE__DATA

  The meta object literal for the 'Data' attribute feature.

  ** Generated **

### CANONICAL_STYLE

    public static final EClass CANONICAL_STYLE

  The meta object literal for the '`Canonical Style`' class.

  See Also:
    `CanonicalStyleImpl`, `NotationPackageImpl.getCanonicalStyle()`
  ** Generated **

### CANONICAL_STYLE__CANONICAL

    public static final EAttribute CANONICAL_STYLE__CANONICAL

  The meta object literal for the 'Canonical' attribute feature.

  ** Generated **

### SHAPE_STYLE

    public static final EClass SHAPE_STYLE

  The meta object literal for the '`Shape Style`' class.

  See Also:
    `ShapeStyleImpl`, `NotationPackageImpl.getShapeStyle()`
  ** Generated **

### CONNECTOR_STYLE

    public static final EClass CONNECTOR_STYLE

  The meta object literal for the '`Connector Style`' class.

  See Also:
    `ConnectorStyleImpl`, `NotationPackageImpl.getConnectorStyle()`
  ** Generated **

### PAGE_STYLE

    public static final EClass PAGE_STYLE

  The meta object literal for the '`Page Style`' class.

  See Also:
    `PageStyleImpl`, `NotationPackageImpl.getPageStyle()`
  ** Generated **

### PAGE_STYLE__PAGE_X

    public static final EAttribute PAGE_STYLE__PAGE_X

  The meta object literal for the 'Page X' attribute feature.

  ** Generated **

### PAGE_STYLE__PAGE_Y

    public static final EAttribute PAGE_STYLE__PAGE_Y

  The meta object literal for the 'Page Y' attribute feature.

  ** Generated **

### PAGE_STYLE__PAGE_WIDTH

    public static final EAttribute PAGE_STYLE__PAGE_WIDTH

  The meta object literal for the 'Page Width' attribute feature.

  ** Generated **

### PAGE_STYLE__PAGE_HEIGHT

    public static final EAttribute PAGE_STYLE__PAGE_HEIGHT

  The meta object literal for the 'Page Height' attribute feature.

  ** Generated **

### DRAWER_STYLE

    public static final EClass DRAWER_STYLE

  The meta object literal for the '`Drawer Style`' class.

  See Also:
    `DrawerStyleImpl`, `NotationPackageImpl.getDrawerStyle()`
  ** Generated **

### DRAWER_STYLE__COLLAPSED

    public static final EAttribute DRAWER_STYLE__COLLAPSED

  The meta object literal for the 'Collapsed' attribute feature.

  ** Generated **

### GUIDE_STYLE

    public static final EClass GUIDE_STYLE

  The meta object literal for the '`Guide Style`' class.

  See Also:
    `GuideStyleImpl`, `NotationPackageImpl.getGuideStyle()`
  ** Generated **

### GUIDE_STYLE__HORIZONTAL_GUIDES

    public static final EReference GUIDE_STYLE__HORIZONTAL_GUIDES

  The meta object literal for the 'Horizontal Guides' containment reference list feature.

  ** Generated **

### GUIDE_STYLE__VERTICAL_GUIDES

    public static final EReference GUIDE_STYLE__VERTICAL_GUIDES

  The meta object literal for the 'Vertical Guides' containment reference list feature.

  ** Generated **

### GUIDE

    public static final EClass GUIDE

  The meta object literal for the '`Guide`' class.

  See Also:
    `GuideImpl`, `NotationPackageImpl.getGuide()`
  ** Generated **

### GUIDE__POSITION

    public static final EAttribute GUIDE__POSITION

  The meta object literal for the 'Position' attribute feature.

  ** Generated **

### GUIDE__NODE_MAP

    public static final EReference GUIDE__NODE_MAP

  The meta object literal for the 'Node Map' map feature.

  ** Generated **

### NODE_ENTRY

    public static final EClass NODE_ENTRY

  The meta object literal for the '`Node Entry`' class.

  See Also:
    `NodeEntryImpl`, `NotationPackageImpl.getNodeEntry()`
  ** Generated **

### NODE_ENTRY__VALUE

    public static final EAttribute NODE_ENTRY__VALUE

  The meta object literal for the 'Value' attribute feature.

  ** Generated **

### NODE_ENTRY__KEY

    public static final EReference NODE_ENTRY__KEY

  The meta object literal for the 'Key' reference feature.

  ** Generated **

### FILTERING_STYLE

    public static final EClass FILTERING_STYLE

  The meta object literal for the '`Filtering Style`' class.

  See Also:
    `FilteringStyleImpl`, `NotationPackageImpl.getFilteringStyle()`
  ** Generated **

### FILTERING_STYLE__FILTERING

    public static final EAttribute FILTERING_STYLE__FILTERING

  The meta object literal for the 'Filtering' attribute feature.

  ** Generated **

### FILTERING_STYLE__FILTERING_KEYS

    public static final EAttribute FILTERING_STYLE__FILTERING_KEYS

  The meta object literal for the 'Filtering Keys' attribute feature.

  ** Generated **

### FILTERING_STYLE__FILTERED_OBJECTS

    public static final EReference FILTERING_STYLE__FILTERED_OBJECTS

  The meta object literal for the 'Filtered Objects' reference list feature.

  ** Generated **

### DIAGRAM_STYLE

    public static final EClass DIAGRAM_STYLE

  The meta object literal for the '`Diagram Style`' class.

  See Also:
    `DiagramStyleImpl`, `NotationPackageImpl.getDiagramStyle()`
  ** Generated **

### IMAGE_STYLE

    public static final EClass IMAGE_STYLE

  The meta object literal for the '`Image Style`' class.

  See Also:
    `ImageStyleImpl`, `NotationPackageImpl.getImageStyle()`
  ** Generated **

### IMAGE_STYLE__ANTI_ALIAS

    public static final EAttribute IMAGE_STYLE__ANTI_ALIAS

  The meta object literal for the 'Anti Alias' attribute feature.

  ** Generated **

### IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

    public static final EAttribute IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

  The meta object literal for the 'Maintain Aspect Ratio' attribute feature.

  ** Generated **

### IMAGE_STYLE__CROP_BOUND

    public static final EReference IMAGE_STYLE__CROP_BOUND

  The meta object literal for the 'Crop Bound' containment reference feature.

  ** Generated **

### IMAGE_BUFFER_STYLE

    public static final EClass IMAGE_BUFFER_STYLE

  The meta object literal for the '`Image Buffer Style`' class.

  See Also:
    `ImageBufferStyleImpl`, `NotationPackageImpl.getImageBufferStyle()`
  ** Generated **

### IMAGE_BUFFER_STYLE__IMAGE_BUFFER

    public static final EReference IMAGE_BUFFER_STYLE__IMAGE_BUFFER

  The meta object literal for the 'Image Buffer' containment reference feature.

  ** Generated **

### SORTING

    public static final EEnum SORTING

  The meta object literal for the '`Sorting`' enum.

  See Also:
    `Sorting`, `NotationPackageImpl.getSorting()`
  ** Generated **

### FILTERING

    public static final EEnum FILTERING

  The meta object literal for the '`Filtering`' enum.

  See Also:
    `Filtering`, `NotationPackageImpl.getFiltering()`
  ** Generated **

### ROUTING

    public static final EEnum ROUTING

  The meta object literal for the '`Routing`' enum.

  See Also:
    `Routing`, `NotationPackageImpl.getRouting()`
  ** Generated **

### SMOOTHNESS

    public static final EEnum SMOOTHNESS

  The meta object literal for the '`Smoothness`' enum.

  See Also:
    `Smoothness`, `NotationPackageImpl.getSmoothness()`
  ** Generated **

### JUMP_LINK_STATUS

    public static final EEnum JUMP_LINK_STATUS

  The meta object literal for the '`Jump Link Status`' enum.

  See Also:
    `JumpLinkStatus`, `NotationPackageImpl.getJumpLinkStatus()`
  ** Generated **

### JUMP_LINK_TYPE

    public static final EEnum JUMP_LINK_TYPE

  The meta object literal for the '`Jump Link Type`' enum.

  See Also:
    `JumpLinkType`, `NotationPackageImpl.getJumpLinkType()`
  ** Generated **

### ALIGNMENT

    public static final EEnum ALIGNMENT

  The meta object literal for the '`Alignment`' enum.

  See Also:
    `Alignment`, `NotationPackageImpl.getAlignment()`
  ** Generated **

### SORTING_DIRECTION

    public static final EEnum SORTING_DIRECTION

  The meta object literal for the '`Sorting Direction`' enum.

  See Also:
    `SortingDirection`, `NotationPackageImpl.getSortingDirection()`
  ** Generated **

### MEASUREMENT_UNIT

    public static final EEnum MEASUREMENT_UNIT

  The meta object literal for the '`Measurement Unit`' enum.

  See Also:
    `MeasurementUnit`, `NotationPackageImpl.getMeasurementUnit()`
  ** Generated **

### RELATIVE_BENDPOINT_LIST

    public static final EDataType RELATIVE_BENDPOINT_LIST

  The meta object literal for the 'Relative Bendpoint List' data type.

  See Also:
    `List`, `NotationPackageImpl.getRelativeBendpointList()`
  ** Generated **

### FILTER_KEY_LIST

    public static final EDataType FILTER_KEY_LIST

  The meta object literal for the 'Filter Key List' data type.

  See Also:
    `List`, `NotationPackageImpl.getFilterKeyList()`
  ** Generated **

### SORT_KEY_MAP

    public static final EDataType SORT_KEY_MAP

  The meta object literal for the 'Sort Key Map' data type.

  See Also:
    `Map`, `NotationPackageImpl.getSortKeyMap()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.